Debian Bug report logs - #595021
zfsutils: cannot create zpool with five disks, gives memory error on zpool list

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: sebastian <shivers442@gmail.com>

Date: Tue, 31 Aug 2010 14:00:05 UTC

Severity: normal

Tags: confirmed

Found in version zfsutils/8.1-3

Fixed in version zfsutils/8.1-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595021; Package zfsutils. (Tue, 31 Aug 2010 14:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian <shivers442@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 31 Aug 2010 14:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sebastian <shivers442@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zfsutils: cannot create zpool with five disks, gives memory error on zpool list
Date: Tue, 31 Aug 2010 15:45:39 +0200
Package: zfsutils
Version: 8.1-3
Severity: normal

When I'm creating a striped array with different sized disks, I can only include all but one of my disks. There's five of them in total, and I can only create a zpool with four or less. The fifth disk could be any of those disks, it's not isolated to a single disk. When trying to create a zpool with five disks, the zpool doesn't show up in "zpool list", instead it returns an error message: "internal error: out of memory". Memory shouldn't be a problem, since I'm running on 64-bit with 4 GB RAM.
All disks are Seagates of varying models:
ad10 250GB
ad12 320GB
ad14 500GB
ad6 300GB
ad8 200GB

The command I'm using is "zpool create tank ad10 ad12 ad14 ad6 ad8" and changing the name makes no difference.
"zpool list" then prints nothing, except for "internal error: out of memory".

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages zfsutils depends on:
ii  libbsd0                       0.2.0-1    utility functions from BSD systems
ii  libc0.1                       2.11.2-2   Embedded GNU C Library: Shared lib
ii  libgeom0                      8.1-5      FreeBSD GEOM library
ii  libnvpair0                    8.1-3      OpenSolaris name-value pair librar
ii  libuutil0                     8.1-3      OpenSolaris userland utility libra
ii  libzfs0                       8.1-3      FreeBSD ZFS library

zfsutils recommends no packages.

zfsutils suggests no packages.

-- no debconf information




Added tag(s) confirmed. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 01 Sep 2010 16:15:10 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 00:06:08 GMT) Full text and rfc822 format available.

Notification sent to sebastian <shivers442@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 00:06:08 GMT) Full text and rfc822 format available.

Message #12 received at 595021-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 595021-close@bugs.debian.org
Subject: Bug#595021: fixed in zfsutils 8.1-4
Date: Thu, 02 Sep 2010 00:02:58 +0000
Source: zfsutils
Source-Version: 8.1-4

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair-dev_8.1-4_kfreebsd-i386.deb
libnvpair0-udeb_8.1-4_kfreebsd-i386.udeb
  to main/z/zfsutils/libnvpair0-udeb_8.1-4_kfreebsd-i386.udeb
libnvpair0_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libnvpair0_8.1-4_kfreebsd-i386.deb
libuutil-dev_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil-dev_8.1-4_kfreebsd-i386.deb
libuutil0-udeb_8.1-4_kfreebsd-i386.udeb
  to main/z/zfsutils/libuutil0-udeb_8.1-4_kfreebsd-i386.udeb
libuutil0_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libuutil0_8.1-4_kfreebsd-i386.deb
libzfs-dev_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs-dev_8.1-4_kfreebsd-i386.deb
libzfs0-udeb_8.1-4_kfreebsd-i386.udeb
  to main/z/zfsutils/libzfs0-udeb_8.1-4_kfreebsd-i386.udeb
libzfs0_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/libzfs0_8.1-4_kfreebsd-i386.deb
zfsutils-udeb_8.1-4_kfreebsd-i386.udeb
  to main/z/zfsutils/zfsutils-udeb_8.1-4_kfreebsd-i386.udeb
zfsutils_8.1-4.diff.gz
  to main/z/zfsutils/zfsutils_8.1-4.diff.gz
zfsutils_8.1-4.dsc
  to main/z/zfsutils/zfsutils_8.1-4.dsc
zfsutils_8.1-4_kfreebsd-i386.deb
  to main/z/zfsutils/zfsutils_8.1-4_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595021@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 01:41:20 +0200
Source: zfsutils
Binary: libuutil0 libuutil-dev libuutil0-udeb libnvpair0 libnvpair-dev libnvpair0-udeb libzfs0 libzfs-dev libzfs0-udeb zfsutils zfsutils-udeb
Architecture: source kfreebsd-i386
Version: 8.1-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair0 - OpenSolaris name-value pair library
 libnvpair0-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil0  - OpenSolaris userland utility library
 libuutil0-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs0    - FreeBSD ZFS library
 libzfs0-udeb - FreeBSD ZFS library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb)
Closes: 591820 592676 595021
Changes: 
 zfsutils (8.1-4) unstable; urgency=low
 .
   * Create a /boot/zfs/ directory in zfsutils-udeb, so that zpool.cache
     can be created there. Closes: bug#591820.
   * Add 09_xdr_control.diff, 10_zpool_import.diff, 11_endian.diff and
     12_freebsd.diff to improve the port to GNU/kFreeBSD and fix various
     issues:
     - "zpool list" command with more than 4 devices.  Closes: bug#595021.
     - "zpool import" command not working.  Closes: bug#592676.
Checksums-Sha1: 
 1b6305d59bad029391191eb59c8cca4458acb5f5 1405 zfsutils_8.1-4.dsc
 caf40d90428ba5ee95a51b67f563686860d5b701 21938 zfsutils_8.1-4.diff.gz
 8f9c235c062d145414f0dc3e54e56fd0e1eecb8b 26646 libuutil0_8.1-4_kfreebsd-i386.deb
 c5ecf8d8cfa68cc09e18183baab689a10a9fcc69 27474 libuutil-dev_8.1-4_kfreebsd-i386.deb
 376fff32cb954a99330657bb275e8cb5d109cc6b 15584 libuutil0-udeb_8.1-4_kfreebsd-i386.udeb
 d9a5382191c4dc26864dbb2f3eb50cb4e131403e 27228 libnvpair0_8.1-4_kfreebsd-i386.deb
 4627829214a02cdabe9ca5f07cf4651b609f3c79 27754 libnvpair-dev_8.1-4_kfreebsd-i386.deb
 1c207d12e58abb63812705f763664d604bfca9e1 16036 libnvpair0-udeb_8.1-4_kfreebsd-i386.udeb
 1e9cc695ceb635d9f19d258a140bcf2fda5ebded 106876 libzfs0_8.1-4_kfreebsd-i386.deb
 7387965b08e52108b257787c1f31e7e29fb8fdec 131708 libzfs-dev_8.1-4_kfreebsd-i386.deb
 31a057f2d9932ec60c74f5d9f66c67d92319b02c 96168 libzfs0-udeb_8.1-4_kfreebsd-i386.udeb
 8ef57e022eae3b67ce2f8faa9e3690d100667777 110114 zfsutils_8.1-4_kfreebsd-i386.deb
 b94515879bd8b1a3fc87e9964a7fc23136ae76c0 64470 zfsutils-udeb_8.1-4_kfreebsd-i386.udeb
Checksums-Sha256: 
 2e924f888e8fc506a2a97d034e4d5fee5aded18b790e1fbeb5de35ed68bc022b 1405 zfsutils_8.1-4.dsc
 e17d3af55f65f03f668e63b1616272a7ecde6b33c8c7cade2ab916b4a79296b1 21938 zfsutils_8.1-4.diff.gz
 4411c9483ea9167f29b82fdce30f35c9801969cff6915538f7e1a5b3c063eabe 26646 libuutil0_8.1-4_kfreebsd-i386.deb
 547a57f00f48be1d697245e013880a5464077ffbb94482a5c75302487a656e35 27474 libuutil-dev_8.1-4_kfreebsd-i386.deb
 84682e03603bcd9c38764ef9c5cfb6f7923c41d0b2c20993fe71fbafe50bd0b5 15584 libuutil0-udeb_8.1-4_kfreebsd-i386.udeb
 de7092c858af25bd5a9e0b6d75aa1c244fd9f6438b0579b3757458efc6e8b8c9 27228 libnvpair0_8.1-4_kfreebsd-i386.deb
 9f02990c74102830a51178cb3ed622f4b38bbd9f4d30d8960b453844d2b9d7ef 27754 libnvpair-dev_8.1-4_kfreebsd-i386.deb
 4d7721d7f77f4a67d7dbb6fd7ec49a49ac9e37b61e267d8256db55038c320001 16036 libnvpair0-udeb_8.1-4_kfreebsd-i386.udeb
 546fb230a58597b7dd47c117aacafc89d98cb3119287c4873cf0ef9c41a0823a 106876 libzfs0_8.1-4_kfreebsd-i386.deb
 7e6811edbcf104e6126a2e6a579163a1ee643e2ea178cf1b96f347e43486ec7e 131708 libzfs-dev_8.1-4_kfreebsd-i386.deb
 d1ae5914e166a47fc03a892a087ec65a4c7bd58aeb4183cdbebb903a4a22c92d 96168 libzfs0-udeb_8.1-4_kfreebsd-i386.udeb
 2fc61cc4bd6e2fe0786365d72c78694eb648a5c370c2629d40f38246ab3bb661 110114 zfsutils_8.1-4_kfreebsd-i386.deb
 870d671022e4c0752f86c52e1b89190e71d242970781f2922060a44475034fad 64470 zfsutils-udeb_8.1-4_kfreebsd-i386.udeb
Files: 
 f1bb479aee4f465c358b7022680f3a35 1405 admin optional zfsutils_8.1-4.dsc
 fed3b480e42f9035a3ceac61e9be7b5b 21938 admin optional zfsutils_8.1-4.diff.gz
 efd6e34222aa839ec1154b3269f60efa 26646 libs optional libuutil0_8.1-4_kfreebsd-i386.deb
 70ed4155393fd1ea6ad64898aaec9ee8 27474 libdevel optional libuutil-dev_8.1-4_kfreebsd-i386.deb
 e665b4d4ce9f8990ac5c7db34c0eb46d 15584 debian-installer optional libuutil0-udeb_8.1-4_kfreebsd-i386.udeb
 5daa51635854a2d2c4e82b51734b27c6 27228 libs optional libnvpair0_8.1-4_kfreebsd-i386.deb
 da74bface8d2508cd9b0f1d1a5851be0 27754 libdevel optional libnvpair-dev_8.1-4_kfreebsd-i386.deb
 fbf8a1d46f63ca51ee5dbca1cfd571aa 16036 debian-installer optional libnvpair0-udeb_8.1-4_kfreebsd-i386.udeb
 6035bd4029c919190a9ec58759077d90 106876 libs optional libzfs0_8.1-4_kfreebsd-i386.deb
 811bc6b8b6581ac554869cdfeab07933 131708 libdevel optional libzfs-dev_8.1-4_kfreebsd-i386.deb
 2888f670940a1dfd8193f828b462d6b3 96168 debian-installer optional libzfs0-udeb_8.1-4_kfreebsd-i386.udeb
 3c0742049117d4dca40e820d57a8286c 110114 admin optional zfsutils_8.1-4_kfreebsd-i386.deb
 a8752e139e284aab7b4fe873f219dfe2 64470 debian-installer optional zfsutils-udeb_8.1-4_kfreebsd-i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMfudSw3ao2vG823MRAoWrAKCAqAlA77u7MCpydKMLiF/wO/uerwCfVtoo
NKnbCkd8osuNIMgU915kofk=
=OoqM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Oct 2010 07:32:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:16:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.